Part Box/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "==选项== * 通过 属性编辑器: ** '''Length:''' 为您的立方体设置长度(默认值为10 mm)。 ** '''Width:''' 为您的立方体设置宽度(...")
Line 13: Line 13:
* 或者,您也可以从菜单栏中选择{{MenuCommand|Part → Primitives → Cube}}。
* 或者,您也可以从菜单栏中选择{{MenuCommand|Part → Primitives → Cube}}。


==Options==
==选项==
* Via the [[Property_editor | Property Editor]]:
* 通过[[Property_editor | 属性编辑器]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Length:''' 为您的立方体设置长度(默认值为10 mm)
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Width:''' 为您的立方体设置宽度(默认值为10 mm)
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Height:''' 为您的立方体设置高度(默认值为10 mm)
** '''Placement:''' 指定立方体在3D空间中的朝向与位置。参见[[Placement | 方位]]。参考点为立方体前侧左下角的那个点。
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' 此标签记有为此对象起的名字。您可按自己的需求更改此名。
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
==Properties==

Revision as of 09:21, 7 July 2019

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

概述

利用零件工作台(Part Workbench)中的立方体命令可向处于活动状态的文档中插入一个参数化 长方体几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。

在零件工作台中创建的立方体

如何使用

  • 在零件工作台中点选立方体图标
  • 或者,您也可以从菜单栏中选择Part → Primitives → Cube

选项

  • 通过 属性编辑器:
    • Length: 为您的立方体设置长度(默认值为10 mm)。
    • Width: 为您的立方体设置宽度(默认值为10 mm)。
    • Height: 为您的立方体设置高度(默认值为10 mm)。
    • Placement: 指定立方体在3D空间中的朝向与位置。参见 方位。参考点为立方体前侧左下角的那个点。
    • Label: 此标签记有为此对象起的名字。您可按自己的需求更改此名。

Properties

Base

  • 数据Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • 数据Label: Label given to the Box object. Change to suit your needs.

Box

  • 数据Length: The length parameter is the Box's dimension in the x-direction.
  • 数据Width: The width parameter is the Box's dimension in the y-direction.
  • 数据Height: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".